version: '3.7'

services:
  nats:
    image: nats-streaming:0.11.0-linux
    ports:
      - "4222:4222"
      - "6222:6222"
      - "8222:8222"

  authdb:
    image: "postgres:10.4-alpine"
    restart: always
    environment:
      POSTGRES_USER: "test"
      POSTGRES_PASSWORD: "test"
    volumes:
      - "authdb:/var/lib/postgresql/data"
    ports:
      - "5432:5432"

  hackdb:
    image: "postgres:10.4-alpine"
    restart: always
    environment:
      POSTGRES_USER: "test"
      POSTGRES_PASSWORD: "test"
    volumes:
      - "hackdb:/var/lib/postgresql/data"
    ports:
      - "5433:5433"
    command: "postgres -p 5433"

volumes:
  authdb:
  hackdb:
